<div>
    <h2 id="page-heading">
        <span jhiTranslate="nimicgatewayApp.nimicconferencesConference.home.title">Conferences</span>
        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-conference" [routerLink]="['/conference/new']">
            <fa-icon [icon]="'plus'"></fa-icon>
            <span class="hidden-sm-down"  jhiTranslate="nimicgatewayApp.nimicconferencesConference.home.createLabel">
            Create a new Conference
            </span>
        </button>
    </h2>
    <jhi-alert-error></jhi-alert-error>
    <jhi-alert></jhi-alert>
    <div class="row">
        <div class="col-sm-12">
            <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch" name="currentSearch" placeholder="{{ 'nimicgatewayApp.nimicconferencesConference.home.search' | translate }}">
                    <button class="input-group-append btn btn-info" (click)="search(currentSearch)">
                        <fa-icon [icon]="'search'"></fa-icon>
                    </button>
                    <button class="input-group-append btn btn-danger" (click)="search('')" *ngIf="currentSearch">
                        <fa-icon [icon]="'trash-alt'"></fa-icon>
                    </button>
                </div>
            </form>
        </div>
    </div>
    <br/>
    <div class="alert alert-warning" *ngIf="conferences?.length === 0">
        <span jhiTranslate="nimicgatewayApp.nimicconferencesConference.home.notFound">No conferences found</span>
    </div>
    <div class="table-responsive" *ngIf="conferences?.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
            <tr>
            <th scope="col" ><span jhiTranslate="global.field.id">ID</span></th>
            <th scope="col" ><span jhiTranslate="nimicgatewayApp.nimicconferencesConference.name">Name</span></th>
            <th scope="col" ><span jhiTranslate="nimicgatewayApp.nimicconferencesConference.participants">Participants</span></th>
            <th scope="col" ><span jhiTranslate="nimicgatewayApp.nimicconferencesConference.date">Date</span></th>
            <th scope="col"></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let conference of conferences ;trackBy: trackId">
                <td><a [routerLink]="['/conference', conference.id, 'view' ]">{{conference.id}}</a></td>
                <td>{{conference.name}}</td>
                <td>{{conference.participants}}</td>
                <td>{{conference.date | date:'medium'}}</td>
                <td class="text-right">
                    <div class="btn-group">
                        <button type="submit"
                                [routerLink]="['/conference', conference.id, 'view' ]"
                                class="btn btn-info btn-sm">
                            <fa-icon [icon]="'eye'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/conference', conference.id, 'edit']"
                                class="btn btn-primary btn-sm">
                            <fa-icon [icon]="'pencil-alt'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                        </button>
                        <button type="submit" (click)="delete(conference)"
                                class="btn btn-danger btn-sm">
                            <fa-icon [icon]="'times'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
</div>
